> ## Name

> cgD3D10CreateBuffer - create a D3D10 buffer object

> ## Synopsis

>     #include <Cg/cgD3D10.h>

>     CGbuffer cgD3D10CreateBuffer( CGcontext context,
>                                   int size,
>                                   const void *data,
>                                   D3D10_USAGE bufferUsage );

> ## Parameters

> context
>   The context to which the new buffer will be added.
> size
>   The length in bytes of the buffer to create.
> data
>   The inital data to be copied into the buffer. NULL will fill the buffer with zero.
> bufferUsage
>   A D3D10 usage flag as specified by D3D10_USAGE.

> ## Return Values

> Returns a CGbuffer handle on success.

> Returns NULL if any error occurs.

> ## Description

> cgD3D10CreateBuffer creates a D3D10 buffer object.

> ## Examples

>     CGbuffer myBuffer = cgD3D10CreateBuffer( myCgContext, sizeof( float ) * 16,
>                                              myData, D3D10_USAGE_DEFAULT );

> ## Errors

> CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

> CG_MEMORY_ALLOC_ERROR is generated if a buffer couldn't be created.

> ## History

> cgD3D10CreateBuffer was introduced in Cg 3.1.

> ## See Also

> cgCreateBuffer, cgD3D11CreateBuffer, cgGLCreateBuffer, cgD3D10CreateBufferFromObject, cgD3D10GetBufferObject